PETSc version 3.15.5
Fix/Edit manual page

# DMSetOptionsPrefix

Sets the prefix used for searching for all DM options in the database.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMSetOptionsPrefix(DM dm,const char prefix[])

Logically Collective on dm

### Input Parameter

| da | - the DM context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

DMSetFromOptions()

### Level

advanced

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/plex/tutorials/ex5.c.html
src/dm/tutorials/ex19.c.html
src/snes/tutorials/ex22.c.html
src/snes/tutorials/ex28.c.html
src/snes/tutorials/ex73f90t.F90.html
src/ts/tutorials/ex14.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages